
Redmine - Feature #33325

Export spent time report as PDF

2020-04-20 04:20 - Ali Hamdan

Status: Resolved Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Is it possible to have a patch that will add the ability of exporting the spent time report as PDF including the custom fields

Related issues:

Related to Redmine - Feature #1996: PDF From Reports New

Copied to Redmine - Feature #37634: Export spent time report as PDF Closed

History

#1 - 2020-04-20 10:27 - Go MAEDA

- Tracker changed from Patch to Feature

- Subject changed from Spentime report to Export spent time report as PDF

#2 - 2020-04-23 02:58 - Ali Hamdan

In addition to the above is there a way to add as well a canvas signature pad which will capture the signature and be included in the PDF export.

#3 - 2020-05-12 22:06 - Ali Hamdan

- Status changed from New to Resolved

#4 - 2021-01-04 11:20 - A Egan

Do we know why this issue is set to resolved? There is no target version set and I can't see any other open issues (only #1996 which is inactive sicne

8 years and #5519 which is closed).

#5 - 2021-01-04 14:28 - Bernhard Rohloff

- Status changed from Resolved to New

A Egan wrote:

Do we know why this issue is set to resolved? There is no target version set and I can't see any other open issues (only #1996 which is inactive

sicne 8 years and #5519 which is closed).

 The issue was changed to 'Resolved' by Ali Hamdan (the issues author) eight month ago. I assume that he solved his problem himself and had no

need for this feature anymore. We can open the feature request again, if the feature is still needed.

#6 - 2021-01-04 14:29 - Bernhard Rohloff

- Related to Feature #1996: PDF From Reports added

#7 - 2021-01-09 02:34 - Ali Hamdan

- Status changed from New to Resolved

A Egan wrote:

Do we know why this issue is set to resolved? There is no target version set and I can't see any other open issues (only #1996 which is inactive

sicne 8 years and #5519 which is closed).

 Hi Egan i made a small plugin that allows you to export each time spent as a pdf format or all of them, you can find it on

https://github.com/ahamdan1990/time_log_pdf_export
#8 - 2022-09-01 17:19 - ki be

- Copied to Feature #37634: Export spent time report as PDF added

#9 - 2024-10-02 15:16 - Jose Otazu

Hello, im facing the same problem now, and after trying to install the plugin redmine crashes, is this not compatible with 5.1?
